from metadata.sdk import configurefrom metadata.sdk.entities import Glossaries, GlossaryTermsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List first pageterms = GlossaryTerms.list(limit=50)for t in terms.entities: print(f"{t.fullyQualifiedName.root}")# List all with auto-paginationfor t in GlossaryTerms.list_all(): print(f"{t.fullyQualifiedName.root}")# Filter by glossary with fieldsglossary = Glossaries.retrieve_by_name("BusinessGlossary")terms = GlossaryTerms.list( filters={"glossary": str(glossary.id.root)}, fields=["owners", "tags", "relatedTerms", "children"], limit=50)for t in terms.entities: print(f"{t.fullyQualifiedName.root}") if t.synonyms: print(f" Synonyms: {t.synonyms}")
import org.openmetadata.sdk.models.ListParams;// client is an initialized OpenMetadataClient.// List first pagevar params = new ListParams().setLimit(50);var page = client.glossaryTerms().list(params);for (var item : page.getData()) { System.out.println(item.getFullyQualifiedName());}// Filter by glossary with fieldsvar filtered = new ListParams() .addFilter("glossary", "c2940a98-f147-4a46-8def-31f0c4406dc3") .setFields("owners,tags,relatedTerms,children") .setLimit(50);var filteredPage = client.glossaryTerms().list(filtered);for (var item : filteredPage.getData()) { System.out.println(item.getFullyQualifiedName());}
# List allcurl "{base_url}/api/v1/glossaryTerms?limit=50" \ -H "Authorization: Bearer {access_token}"# Filter by glossarycurl "{base_url}/api/v1/glossaryTerms?glossary=c2940a98-f147-4a46-8def-31f0c4406dc3&fields=owners,tags,relatedTerms,children&limit=50" \ -H "Authorization: Bearer {access_token}"# Filter by parent termcurl "{base_url}/api/v1/glossaryTerms?parent=d3a50b09-a258-4b57-8def-42a1d5517ed4&limit=50" \ -H "Authorization: Bearer {access_token}"
List all glossary terms with optional filtering and pagination
GET
/
v1
/
glossaryTerms
GET /v1/glossaryTerms
from metadata.sdk import configurefrom metadata.sdk.entities import Glossaries, GlossaryTermsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List first pageterms = GlossaryTerms.list(limit=50)for t in terms.entities: print(f"{t.fullyQualifiedName.root}")# List all with auto-paginationfor t in GlossaryTerms.list_all(): print(f"{t.fullyQualifiedName.root}")# Filter by glossary with fieldsglossary = Glossaries.retrieve_by_name("BusinessGlossary")terms = GlossaryTerms.list( filters={"glossary": str(glossary.id.root)}, fields=["owners", "tags", "relatedTerms", "children"], limit=50)for t in terms.entities: print(f"{t.fullyQualifiedName.root}") if t.synonyms: print(f" Synonyms: {t.synonyms}")
import org.openmetadata.sdk.models.ListParams;// client is an initialized OpenMetadataClient.// List first pagevar params = new ListParams().setLimit(50);var page = client.glossaryTerms().list(params);for (var item : page.getData()) { System.out.println(item.getFullyQualifiedName());}// Filter by glossary with fieldsvar filtered = new ListParams() .addFilter("glossary", "c2940a98-f147-4a46-8def-31f0c4406dc3") .setFields("owners,tags,relatedTerms,children") .setLimit(50);var filteredPage = client.glossaryTerms().list(filtered);for (var item : filteredPage.getData()) { System.out.println(item.getFullyQualifiedName());}
# List allcurl "{base_url}/api/v1/glossaryTerms?limit=50" \ -H "Authorization: Bearer {access_token}"# Filter by glossarycurl "{base_url}/api/v1/glossaryTerms?glossary=c2940a98-f147-4a46-8def-31f0c4406dc3&fields=owners,tags,relatedTerms,children&limit=50" \ -H "Authorization: Bearer {access_token}"# Filter by parent termcurl "{base_url}/api/v1/glossaryTerms?parent=d3a50b09-a258-4b57-8def-42a1d5517ed4&limit=50" \ -H "Authorization: Bearer {access_token}"
List all glossary terms with optional filtering and pagination.
Query Parameters
string
Filter by glossary ID (universally unique identifier, or UUID).
string
Filter by parent glossary term ID (UUID). Returns only direct children of that term.
integer
default:"10"
Maximum number of results to return (max: 1000000).
string
Cursor for backward pagination.
string
Cursor for forward pagination.
string
Comma-separated list of fields to include: owners, tags, domains, relatedTerms, reviewers, children. See Supported Fields below.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/glossaryTerms
from metadata.sdk import configurefrom metadata.sdk.entities import Glossaries, GlossaryTermsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List first pageterms = GlossaryTerms.list(limit=50)for t in terms.entities: print(f"{t.fullyQualifiedName.root}")# List all with auto-paginationfor t in GlossaryTerms.list_all(): print(f"{t.fullyQualifiedName.root}")# Filter by glossary with fieldsglossary = Glossaries.retrieve_by_name("BusinessGlossary")terms = GlossaryTerms.list( filters={"glossary": str(glossary.id.root)}, fields=["owners", "tags", "relatedTerms", "children"], limit=50)for t in terms.entities: print(f"{t.fullyQualifiedName.root}") if t.synonyms: print(f" Synonyms: {t.synonyms}")
import org.openmetadata.sdk.models.ListParams;// client is an initialized OpenMetadataClient.// List first pagevar params = new ListParams().setLimit(50);var page = client.glossaryTerms().list(params);for (var item : page.getData()) { System.out.println(item.getFullyQualifiedName());}// Filter by glossary with fieldsvar filtered = new ListParams() .addFilter("glossary", "c2940a98-f147-4a46-8def-31f0c4406dc3") .setFields("owners,tags,relatedTerms,children") .setLimit(50);var filteredPage = client.glossaryTerms().list(filtered);for (var item : filteredPage.getData()) { System.out.println(item.getFullyQualifiedName());}
# List allcurl "{base_url}/api/v1/glossaryTerms?limit=50" \ -H "Authorization: Bearer {access_token}"# Filter by glossarycurl "{base_url}/api/v1/glossaryTerms?glossary=c2940a98-f147-4a46-8def-31f0c4406dc3&fields=owners,tags,relatedTerms,children&limit=50" \ -H "Authorization: Bearer {access_token}"# Filter by parent termcurl "{base_url}/api/v1/glossaryTerms?parent=d3a50b09-a258-4b57-8def-42a1d5517ed4&limit=50" \ -H "Authorization: Bearer {access_token}"